# DataExchange
TKXSBase
Interface

# Interface_HArray1OfHAsciiString Class Reference

`#include <Interface_HArray1OfHAsciiString.hxx>`

## Public Member Functions

Standard_EXPORT | Interface_HArray1OfHAsciiString (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | Interface_HArray1OfHAsciiString (const Standard_Integer Low, const Standard_Integer Up, const Handle(TCollection_HAsciiString)&V)
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(TCollection_HAsciiString)&Value)
const Handle_TCollection_HAsciiString & | Value (const Standard_Integer Index) const
Handle_TCollection_HAsciiString & | ChangeValue (const Standard_Integer Index)
const Interface_Array1OfHAsciiString & | Array1 () const
Interface_Array1OfHAsciiString & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Interface_Array1OfHAsciiString | myArray

## Constructor & Destructor Documentation

Standard_EXPORT Interface_HArray1OfHAsciiString::Interface_HArray1OfHAsciiString | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT Interface_HArray1OfHAsciiString::Interface_HArray1OfHAsciiString | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(TCollection_HAsciiString)& | V
| ) |

## Member Function Documentation

const Interface_Array1OfHAsciiString& Interface_HArray1OfHAsciiString::Array1 | ( |  | ) | const

Interface_Array1OfHAsciiString& Interface_HArray1OfHAsciiString::ChangeArray1 | ( |  | ) |

Handle_TCollection_HAsciiString& Interface_HArray1OfHAsciiString::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const Interface_HArray1OfHAsciiString::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void Interface_HArray1OfHAsciiString::Init | ( | const Handle(TCollection_HAsciiString)& | V | ) |

Standard_Integer Interface_HArray1OfHAsciiString::Length | ( |  | ) | const

Standard_Integer Interface_HArray1OfHAsciiString::Lower | ( |  | ) | const

void Interface_HArray1OfHAsciiString::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(TCollection_HAsciiString)& | Value
| ) |

Standard_Integer Interface_HArray1OfHAsciiString::Upper | ( |  | ) | const

const Handle_TCollection_HAsciiString& Interface_HArray1OfHAsciiString::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Interface_Array1OfHAsciiString Interface_HArray1OfHAsciiString::myArray `[private]`

The documentation for this class was generated from the following file:

- Interface_HArray1OfHAsciiString.hxx